Skip to main content
GET
/
v1
/
deposits
/
{id}
GetDeposit
curl --request GET \
  --url https://api.toffeepay.com/v1/deposits/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "account_id": "<string>",
  "status": "processing",
  "amount": 1,
  "currency": "USD",
  "method": "card",
  "details": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "reward": 1,
  "authorized_at": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z",
  "succeeded_at": "2023-11-07T05:31:56Z",
  "failed_at": "2023-11-07T05:31:56Z",
  "refunded_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string
required
account_id
string
required
status
enum<string>
required
Available options:
processing,
authorized,
cancelled,
succeeded,
failed,
refunded
amount
integer<int32>
required
Required range: x >= 0
currency
enum<string>
required
Available options:
USD
method
enum<string>
required
Available options:
card,
tokenized_card,
apple_pay,
google_pay
details
string
required
created_at
string<date-time>
required
reward
integer<int32> | null
Required range: x >= 0
authorized_at
string<date-time> | null
cancelled_at
string<date-time> | null
succeeded_at
string<date-time> | null
failed_at
string<date-time> | null
refunded_at
string<date-time> | null